Skip to main content
POST
/
environments
/
{environmentId}
/
waas
/
authenticate
Authenticate for WAAS using an API key
curl --request POST \
  --url https://app.dynamicauth.com/api/v0/environments/{environmentId}/waas/authenticate \
  --header 'Authorization: Bearer <token>'
{
  "message": "<string>",
  "encodedJwts": {
    "jwt": "<string>",
    "minifiedJwt": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Response

Successfully authenticated

message
string
required

Status message describing the authentication result

encodedJwts
object
required

Object containing the full and minified JWT tokens for the authenticated session

Last modified on July 2, 2026